Package org.eclipse.net4j.util.ui.actions

# Klasse LongRunningActionDelegate

java.lang.Object
org.eclipse.net4j.util.ui.actions.SafeActionDelegate
org.eclipse.net4j.util.ui.actions.LongRunningActionDelegate

Alle implementierten Schnittstellen:
  `IActionDelegate`

public abstract class LongRunningActionDelegate extends SafeActionDelegate

Autor:
  Eike Stepper

## Feldübersicht

### Von Klasse geerbte Felder org.eclipse.net4j.util.ui.actions.SafeActionDelegate

`INTERACTIVE`

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`LongRunningActionDelegate()`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`protected final void`
`cancel()`
`protected final void`
`checkCancelation(IProgressMonitor monitor)`
`protected abstract void`
`doRun(IProgressMonitor progressMonitor)`
`protected String`
`getBundleID()`
`protected String`
`getErrorMessage(Exception ex)`
`protected String`
`getErrorTitle(Exception ex)`
`protected final int`
`getTotalWork()`
Veraltet.
Not supported anymore.
`protected void`
`preRun()`
`protected final void`
`safeRun()`
`protected final void`
`setTotalWork(int totalWork)`
Veraltet.
Not supported anymore.

### Von Klasse geerbte Methoden org.eclipse.net4j.util.ui.actions.SafeActionDelegate

`getAction, getSelection, getShell, getText, run, selectionChanged`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### LongRunningActionDelegate

public LongRunningActionDelegate()

## Methodendetails

### getTotalWork

@Deprecated protected final int getTotalWork()
Veraltet.
Not supported anymore.

### setTotalWork

@Deprecated protected final void setTotalWork(int totalWork)
Veraltet.
Not supported anymore.

### cancel

protected final void cancel()

### safeRun

protected final void safeRun() throws Exception

Angegeben von:
  `safeRun` in Klasse `SafeActionDelegate`
Löst aus:
  `Exception`

### preRun

protected void preRun() throws Exception

Löst aus:
  `Exception`

### getBundleID

protected String getBundleID()

### getErrorTitle

protected String getErrorTitle(Exception ex)

Seit:
  3.12

### getErrorMessage

protected String getErrorMessage(Exception ex)

Seit:
  3.12

### doRun

protected abstract void doRun(IProgressMonitor progressMonitor) throws Exception

Löst aus:
  `Exception`
Seit:
  2.0

### checkCancelation

protected final void checkCancelation(IProgressMonitor monitor)